DOMAINSEQS(1e)

NAME
domainseqs - Adds sequence records to a DCF file.

SYNOPSIS

domainseqs -dcfinfile infile -dpdbdir directory -getswiss toggle -pdbtospfile infile -datafile matrixf -gapopen float -gapextend float -dcfoutfile outfile -logfile outfile

domainseqs -help

DESCRIPTION

domainseqs is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Utils:Database creation" command group(s).

OPTIONS

  Input section

-dcfinfile infile
    This option specifies the name of DCF file (domain classification file) (input). A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like). The files are generated by using SCOPPARSE and CATHPARSE. Domain sequence information can be added to the file by using DOMAINSEQS.

-dpdbdir directory
    This option specifies the location of domain CCF file (clean coordinate files) (input). A 'clean cordinate file' contains coordinate and other data for a single PDB file or a single domain from SCOP or CATH, in CCF format (EMBL-like). The files, generated by using PDBPARSE (PDB files) or DOMAINER (domains), contain 'cleaned-up' data that is self-consistent and error-corrected. Records for residue solvent accessibility and secondary structure are added to the file by using PDBPLUS. Default value: ./

-getswiss toggle
    Default value: N

-pdbtospfile infile
    This option specifies the name of the pdbcodes to swissprot indexing file. The swissprot:PDB equivalence file is generated by PDBTOSP

-datafile matrixf
    This option specifies the residue substitution matrix, which is used for sequence comparison. Default value: EBLOSUM62

  Required section

  Additional section

-gapopen float
    This option specifies the gap insertion penalty. This is the score taken away when a gap is created. The best value depends on the choice of comparison matrix. The default value assumes you are using the EBLOSUM62 matrix for protein sequences, and the EDNAFULL matrix for nucleotide sequences. Default value: 10

-gapextend float
    This option specifies the gap extension penalty. This is added to the standard gap penalty for each base or residue in the gap. This is how long gaps are penalized. Usually you will expect a few long gaps rather than many short gaps, so the gap extension penalty should be lower than the gap penalty. Default value: 0.5

  Output section

-dcfoutfile outfile
    This option specifies the name of DCF file (domain classification file) (output). A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like). The files are generated by using SCOPPARSE and CATHPARSE. Domain sequence information can be added to the file by using DOMAINSEQS. Default value: domainseqs.out

-logfile outfile
    This option specifies the name of log file for the build. The log file contains messages about any errors arising while domainseqs ran. Default value: domainseqs.log

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

domainseqs is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.